/////////////////////////////////////////////////////////////////////
//
// OposFMSK.h
//
//   Fiscal Printer header file for OPOS Applications. The headers
// file included all specification of the fiscal printer of FMSK.
//
// Modification history
/////////////////////////////////////////////////////////////////////
// 10-03-18 Created
// 10-04-08 + CMD_CUT_PAPER
// 10-04-16 + CMD_PRINT_BARCODE
// 10-04-19 + OPOS_EFPTR_REC_NEAR_END
// 10-04-20 + FPTR_GD_VAT_CHANGE_COUNT
// 10-04-20 + FPTR_GD_LINES_TO_SERVICE
// 10-04-20 + FPTR_GD_DAYS_TO_SERVICE
// 10-04-20 + FPTR_GD_AMOUNT_LEFT
// 10-05-03 + FPTR_GR_ITEM_AMOUNT
// 10-05-05 + CMD_UPLOAD_LOGO
// 10-05-07 + CMD_CASH_IN_COPY
// 10-05-07 + CMD_CASH_OUT_COPY
// 10-05-14 + FPTR_GD_DAY_END_REQUIRED
// 10-06-14 + CMD_EJ_PRINT_CONTENT
// 10-06-14 + CMD_EJ_QUERY_CONTENT
// 11-07-01 + CMD_SET_PARAM
// 11-07-01 + CMD_GET_PARAM
// 11-07-22 + FPTR_GD_SERVICE_CONFIRM_REQUIRED
// 11-07-22 + FPTR_GD_MEM_NEARFULL_CONFIRM_REQUIRED
// 11-08-03 + CMD_RECEIPT_ID
// 11-08-30 * CMD_UPLOAD_LOGO -> CMD_PRINTER_LOGO
// 11-11-07 + FPTR_GD_TAX_ID
/////////////////////////////////////////////////////////////////////

#if !defined(OPOSFFMSK_H)
#define      OPOSFFMSK_H

typedef long LONG;

/* -----------------------------------------------------------------------------------------------------
	Defines
----------------------------------------------------------------------------------------------------- */

//Additional Extended Result Codes for FMSK
const LONG OPOS_EFPTR_BIN_EJ_FULL = 301;
const LONG OPOS_EFPTR_TEXT_EJ_FULL = 302;
const LONG OPOS_EFPTR_FISCAL_MEM_NEARFULL = 303;
const LONG OPOS_EFPTR_SERVICE_INTERVAL = 304;
const LONG OPOS_EFPTR_REC_NEAREMPTY = 305;

//Additional GetData items
const LONG FPTR_GD_VAT_CHANGE_COUNT = 50;
const LONG FPTR_GD_LINES_TO_SERVICE = 51;
const LONG FPTR_GD_DAYS_TO_SERVICE = 52;
const LONG FPTR_GD_AMOUNT_LEFT = 53;
const LONG FPTR_GD_ITEM_AMOUNT = 54;
const LONG FPTR_GD_DAY_END_REQUIRED = 55;
const LONG FPTR_GD_SERVICE_CONFIRM_REQUIRED = 56;
const LONG FPTR_GD_MEM_NEARFULL_CONFIRM_REQUIRED = 57;
const LONG FPTR_GD_TAX_ID = 58;

// Commands for Direct Communication with FMSK (DirectIO Method)
#define CMD_IMM_VOID 0x23
#define CMD_TICKET_COPY 0x2C
#define CMD_SERVICE 0x56
#define CMD_MEM_NEARFULL 0x57
#define CMD_SET_PARAM 0x85
#define CMD_GET_PARAM 0x87
#define CMD_USE_DISPLAY 0x90
#define CMD_CUT_PAPER 0x91
#define CMD_PRINT_BARCODE 0x92
#define CMD_PRINTER_LOGO 0x93
//#define CMD_CASH_IN_COPY 0x94 //not supported since 2.8
//#define CMD_CASH_OUT_COPY 0x95 //not supported since 2.8
#define CMD_EJ_PRINT_CONTENT 0x96
#define CMD_EJ_QUERY_CONTENT 0x97
#define CMD_RECEIPT_ID 0x98

//DirectIO constants
#define FPSK_PRINTER_LOGO_UPLOAD 0
#define FPSK_PRINTER_LOGO_PRINT 1
#define FPSK_PRINTER_LOGO_CRC 2

#endif                  // !defined(OPOSFFMSK_H)
